package at.jku.ssw.pi.sort.impl;

import java.util.Comparator;

import at.jku.ssw.pi.sort.Sorter;

/** Uses Arrays.sort() from the JDK. */
@SuppressWarnings({ "rawtypes", "unchecked" })
public class JavaUtilArraysSort extends Sorter {
	/** Sorts the array <code>items</code> of comparable objects. */
	public Object[] sort(Object[] data, Comparator cmp) {
		java.util.Arrays.sort(data, cmp);
		return data;
	}
}